<?php
namespace MMNewmedia\BiPRO\Norm410;

use MMNewmedia\BiPRO\Norm410\Model\AuthDecorator;
use MMNewmedia\BiPRO\Loader\StandardAutoloader;

// Autoloader initialisieren
require_once('../lib/loader/StandardAutoloader.php');
$aClassMap = require_once('../autoload_classmap.php');

$oAutoloader = new StandardAutoloader();
$oAutoloader->addClassMap($aClassMap);
$oAutoloader->register();

try {
	$sWsdl = 'http://localhost/vergleichen-und-sparen.de/testarea/bipro/norm410/view/assets/wsdl/SecurityTokenService_2.1.0.1.0.wsdl';
	
	$oServer = new \SoapServer(
		$sWsdl,
		[
			'encoding' => 'UTF-8',
			'send_errors' => true,
			'soap_version' 	=> SOAP_1_2,
		]
	);
	
	$oService = new AuthDecorator();
	$oService->setClassName('MMNewmedia\BiPRO\Norm410\Model\Response');
	$oServer->setObject($oService);
	$oServer->handle();
	
} catch (\SoapFault $e) {
	echo "<pre>";
	var_dump($e);
	echo "</pre>";
}